Method: supportEventSubscriptions.get

Gets a support event subscription.

EXAMPLES:

cURL:

supportEventSubscription="organizations/123456789/supportEventSubscriptions/abcdef123456"
curl \
  --header "Authorization: Bearer $(gcloud auth print-access-token)" \
  "https://cloudsupport.googleapis.com/v2/$supportEventSubscription"

Python:

import googleapiclient.discovery

apiVersion = "v2"
supportApiService = googleapiclient.discovery.build(
    serviceName="cloudsupport",
    version=apiVersion,
    discoveryServiceUrl=f"https://cloudsupport.googleapis.com/$discovery/rest?version={apiVersion}",
)

request = supportApiService.supportEventSubscriptions().get(
    name="organizations/123456789/supportEventSubscriptions/abcdef123456"
)
print(request.execute())

HTTP request

GET https://cloudsupport.googleapis.com/v2/{name=*/*/supportEventSubscriptions/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The name of the support event subscription to retrieve. Format: organizations/{organizationId}/supportEventSubscriptions/{subscription_id}

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of SupportEventSubscription.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloudsupport
  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.